Bug 294191

Summary: Causes read errors on CD/DVD drive
Product: [Fedora] Fedora Reporter: Russell Robinson <russellr>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 7CC: berrange, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 22:25:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Russell Robinson 2007-09-17 20:51:32 EDT
Description of problem:
I believe KVM or QEMU fails to correctly arbitrate access to the host's CD/DVD
drive, and can cause read errors on the drive.

I found that if I read from DVD drive on the host that is also assigned as a
device for a Windows XP guest, that I can get read errors (corrupted data).

The errors are very reproducible.  I was suspecting a hardware fault.

However, I decided to stop libvirtd and try reading the drive again. No errors!

So, whereas this isn't definitive proof of a problem in KVM, that is certainly
where the evidence is pointing.

Version-Release number of selected component (if applicable):
kvm.i386                                 24-1

How reproducible:
Very.

Steps to Reproduce:
1. Generate a checksum for a large file (typically 1GB+) on a DVD.
2. Load the DVD into a drive that's also allocated to a guest Windows XP
(possibly other OSes too).
3. On the host, generate the checksum again.
4. You will get a read error.
5. Switch off the host and shutdown libvirtd.
6. Generate the checksum - no error.
  
Actual results:
Read errors/data corruption.

Expected results:
kvm should correctly arbitrate access to the DVD media so that host and guest
can access the data correctly or not at all.


Additional info:
Comment 1 Russell Robinson 2007-09-17 22:56:46 EDT
Further tests provided mixed results.

It's not as reproducible as it first appeared.

Also, it might be related to burning a DVD on the host.

DVD drive 1 (internal): burn DVD
DVD drive 1 (internal): read errors reading the DVD
DVD drive 2 (external): no read errors reading the DVD

I've had several DVD burns appear to be corrupted until I switched off the
CD/DVD drive in the guest.

After switching off the CD/DVD drive in the guest, the DVD reads became reliable.

They remained reliable even after switching the CD/DVD drive back on in the guest.

I'm pretty confused by this evidence, but it does seem to be related to KVM or QEMU.
Comment 2 Bug Zapper 2008-05-14 10:23:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:25:36 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.